LFR-FSW - Bug #507

Field DESTINATION_ID into TM_LFR_PARAMETER_DUMP non compliant
24/09/2015 03:51 PM - Veronique bouzid

Status: Closed Start date: 24/09/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: SRS Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

Le champ DESTINATION_ID etait = 0 sur la TM_LFR_PARAMETER_DUMP (ICD 2.2)

ICD 3.7 et 3.9 montrent un changement:
Le champ DESTINATION_ID = le champ SOURCE_ID de la TC_LFR envoyée

14:49:31.782244, TC_LFR_DUMP_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 =76, PACKET_CATEGORY:
PRIVATE_SCIENCE_OR_TELECOMMAND = 12, (PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG:
STANDALONE_PACKET = 3, SEQUENCE_CNT=14449, (PACKET_SEQUENCE_CONTROL=0xf871), PACKET_LENGTH=5,
CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION = 1, ACK_EXECUTION_COMPLETION=1,
ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE=1, SERVICE_TYPE:
EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: DUMP_PARAMETERS = 31, SOURCE_ID: AOCS = 11, CRC = 0xd453

14:49:31.793458, TM_LFR_PARAMETER_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET CATEGORY: DUMP = 6,
(PACKET _ID=0xcc6), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=0,

(PACKET SEQUENCE_CONTROL=0xc000), PACKET LENGTH=77, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: PARAMETER_DUMP = 32, DESTINATION_ID: GROUND =
0, TIME=0x80000348b0b1, PA_LFR_HK_SID: LFR_DUMP_SID = 10, SPARE=0x0, SY_LFR_BW=1, SY_LFR_SP0=0,
SY_LFR_SP1=0, SY_LFR_R0=0, SY LFR_R1=0, SY_LFR_R2=0, SY LFR_N_SWF L=2048, SY_LFR_N_SWF_P=300(s),

SY LFR_N_ASM_P=3600(s), SY_LFR_N_BP_P0=4(s), SY LFR_N_BP_P1=20(s), SPARE=0x0, SY LFR_N_CWF_LONG_F3=0,
SPARE=0x0, SY_LFR B_BP P0=1(s), SY LFR B _BP P1=5(s), SY LFR S1_BP_P0=0.25(s), SY_LFR_S1_BP_P1=1(s),

SY _LFR_S2 BP_P0=1(s), SY LFR S2 BP_P1=5(s), SY_LFR_FBINS_FO WORD1=0xfffffff,

SY_LFR_FBINS_FO WORD2=0xffffffff, SY LFR_FBINS_FO WORD3=0xfffffff, SY LFR_FBINS_F0_ WORD4=0xffffffff,
SY_LFR_FBINS_F1_WORD1=0xffffffff, SY_LFR_FBINS_F1_WORD2=0xffffffff, SY_LFR_FBINS_F1_WORD3=0xfffffff,
SY_LFR_FBINS_F1_WORD4=0xffffffff, SY_LFR_FBINS_F2_ WORD1=0xffffffff, SY_LFR_FBINS_F2_ WORD2=0xfffffff,
SY_LFR_FBINS_F2_ WORD3=0xffffffff, SY_LFR_FBINS_F2_WORD4=0xffffffff, SPARES_2=0x0

14:49:31.795514, TM_LFR_TC_EXE_SUCCESS, CCSDS_VERSION_NUMBER = 0, PACKET TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID 2 = 76, PACKET CATEGORY: ACKNOWLEDGE
=1, (PACKET_ID=0xcc1), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=10,
(PACKET_SEQUENCE_CONTROL=0xc00a), PACKET LENGTH=13, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0,
SERVICE_TYPE: TELECOMMAND_VERIFICATION = 1, SERVICE_SUBTYPE: TC_EXECUTION_COMPLETION_SUCCESS = 7,
DESTINATION_ID: AOCS = 11, TIME=0x80000348b0b8, PA_RPW_TELECOMMAND_PKT_ID=0x1ccc,
PA_RPW_PKT_SEQ_CONTROL=0xf871

le script joué est /opt/VALIDATION_RS3/Ifrverif/LFR_SVS/SVS-0018/source_id_loop_step1.py
le fichier detail /nome/validation/data/R3/3.0.0.8/1.1.89/SVS-0018/2015_09_23-14_51_13-Detail.txt

Contexte du test

FSW 3.0.0.8

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

Related issues:
Related to Task #510: fields DESTINATION_ID on TM_LFR_PARAMETER_DUMP and TM_... Closed 25/09/2015
History

#1 - 25/09/2015 03:26 PM - paul leroy
- Status changed from New to In Progress

- Assignee changed from paul leroy to Veronique bouzid

corrigé dans fsw 3.0.0.9
non testé, je n'ai pas de script sous la main pour changer les source_id.

#2 - 29/09/2015 02:56 PM - Veronique bouzid
- File dump_par_vs_source.py added

- Assignee changed from Veronique bouzid to paul leroy

Voici un script qui balaie les source_id.

#3 - 29/09/2015 02:59 PM - paul leroy

- Assignee changed from paul leroy to Veronique bouzid

Merci pour le script. Je préfére te laisser le soin de le jouer, je n'ai pas installé I'environnement de Gérald. J'avance sur le reste.

#4 - 01/10/2015 08:59 AM - Veronique bouzid

- Status changed from In Progress to Resolved

Le test /home/validation/SCRIPT/R3/dump_par_vs_source.py a été rejoué avec 3.0.0.9 et le bug est corrigé.
Les fichiers (2015_10_01-08_44_11*) sont rangés dans /home/validation/data/R3/3.0.0.9/TESTS-UNITAIRES/BUG-507.

Les traces extraites du fichier 2015_10_01-08_44_11-Detail.txt montrent bien que le champ DESTINATION_ID de TM_LFR_PARAMETER_DUMP =
champ SOURCE_ID de la TC_LFR_DUMP_PAR.

08:43:11.286519, TC_LFR_DUMP_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1, DATA_FIELD_HEADER_FLAG:
WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: PRIVATE_SCIENCE_OR_TELECOMMAND = 12,
(PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=11113,
(PACKET_SEQUENCE_CONTROL=0xeb69), PACKET_LENGTH=5, CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION =1,
ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE-=1,
SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: DUMP_PARAMETERS = 31, SOURCE_ID: MISSION_TIMELINE = 110,
CRC = 0xb947

08:43:11.290567, TM_LFR_PARAMETER_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET =0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: DUMP = 6, (PACKET_ID=0xcc6),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000),
PACKET_LENGTH=77, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE:
PARAMETER_DUMP = 32, DESTINATION_ID: MISSION_TIMELINE = 110, TIME=0x8000000d5a7b, PA_LFR_HK_SID: LFR_DUMP_SID = 10,

puis

08:43:12.292827, TC_LFR_DUMP_PAR, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TC_PACKET =1, DATA_FIELD_HEADER_FLAG:
WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: PRIVATE_SCIENCE_OR_TELECOMMAND = 12,
(PACKET_ID=0x1ccc), SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=9159,
(PACKET_SEQUENCE_CONTROL=0xe3c7), PACKET_LENGTH=5, CCSDS_SECONDARY_HEADER_FLAG=0, PUS_VERSION = 1,
ACK_EXECUTION_COMPLETION=1, ACK_EXECUTION_PROGRESS=0, ACK_EXECUTION_START=0, ACK_ACCEPTANCE-=1,
SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE: DUMP_PARAMETERS = 31, SOURCE_ID: TC_SEQUENCES = 111, CRC =
0x403b

08:43:12.302003, TM_LFR_PARAMETER_DUMP, CCSDS_VERSION_NUMBER = 0, PACKET_TYPE: TM_PACKET = 0,
DATA_FIELD_HEADER_FLAG: WITH_HEADER = 1, PROCESS_ID: RPW_PID_2 = 76, PACKET_CATEGORY: DUMP = 6, (PACKET_ID=0xcc6),
SEGMENTATION_GROUPING_FLAG: STANDALONE_PACKET = 3, SEQUENCE_CNT=0, (PACKET_SEQUENCE_CONTROL=0xc000),
PACKET_LENGTH=77, SPARE_1=0, PUS_VERSION = 1, SPARE_2=0, SERVICE_TYPE: EQ_CONFIGURATION = 181, SERVICE_SUBTYPE:
PARAMETER_DUMP = 32, DESTINATION_ID: TC_SEQUENCES = 111, TIME=0x8000000e5d52, PA_LFR_HK_SID: LFR_DUMP_SID = 10,

Ce test est un test de vérification et il reste donc a executer le test de validation (SVS-0018).

Contexte du test

FSW 3.0.0.9

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

#5 - 02/10/2015 03:42 PM - Veronique bouzid
- Category set to SRS

- Status changed from Resolved to Closed

Le bug est corrigé en 3.0.0.9.
Le champ DESTINATION_ID est correctement renseigné.

Le script rejoué est /opt/VALIDATION_RS3/Ifrverif/LFR_SVS/SVS-0018/source_id_loop_step1.py
Les fichiers de test sont rangés dans /home/validation/data/R3/3.0.0.9/1.1.89/SVS-0018

Contexte du test

FSW 3.0.0.9

VHDL 1.1.89

EM sans Timegen

SocExplorerEngine.getSocExplorer: Version = 0.6.2, Branch = default, Changeset = 819d0376d481
StarDundee

Files
dump_par_vs_source.py 3.71 KB 29/09/2015 Veronique bouzid
